<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: &lt;KKLAudioModel&gt;协议 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('protocol_k_k_l_audio_model-p.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> &#124;
<a href="protocol_k_k_l_audio_model-p-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">&lt;KKLAudioModel&gt;协议 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a>&gt;</code></p>
<div class="dynheader">
类 &lt;KKLAudioModel&gt; 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="protocol_k_k_l_audio_model-p.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:af4e71203b9e3b0ac1a2332d4b2e6f0cc"><td class="memItemLeft" align="right" valign="top">(NSURL *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_k_k_l_audio_model-p.html#af4e71203b9e3b0ac1a2332d4b2e6f0cc">audioURL</a></td></tr>
<tr class="memdesc:af4e71203b9e3b0ac1a2332d4b2e6f0cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">音频地址  <a href="protocol_k_k_l_audio_model-p.html#af4e71203b9e3b0ac1a2332d4b2e6f0cc">更多...</a><br /></td></tr>
<tr class="separator:af4e71203b9e3b0ac1a2332d4b2e6f0cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac18e42d0433d4257ab5c9b27db715853"><td class="memItemLeft" align="right" valign="top">(CMTime)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_k_k_l_audio_model-p.html#ac18e42d0433d4257ab5c9b27db715853">audioTotalTime</a></td></tr>
<tr class="memdesc:ac18e42d0433d4257ab5c9b27db715853"><td class="mdescLeft">&#160;</td><td class="mdescRight">总时长  <a href="protocol_k_k_l_audio_model-p.html#ac18e42d0433d4257ab5c9b27db715853">更多...</a><br /></td></tr>
<tr class="separator:ac18e42d0433d4257ab5c9b27db715853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dea314664dc938e07ad3e087b638e30"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_k_k_l_audio_model-p.html#a4dea314664dc938e07ad3e087b638e30">audioArtist</a></td></tr>
<tr class="memdesc:a4dea314664dc938e07ad3e087b638e30"><td class="mdescLeft">&#160;</td><td class="mdescRight">音频来源  <a href="protocol_k_k_l_audio_model-p.html#a4dea314664dc938e07ad3e087b638e30">更多...</a><br /></td></tr>
<tr class="separator:a4dea314664dc938e07ad3e087b638e30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1565ae44a2e8b9338ff52b185ba35635"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_k_k_l_audio_model-p.html#a1565ae44a2e8b9338ff52b185ba35635">audioTitle</a></td></tr>
<tr class="memdesc:a1565ae44a2e8b9338ff52b185ba35635"><td class="mdescLeft">&#160;</td><td class="mdescRight">音频标题  <a href="protocol_k_k_l_audio_model-p.html#a1565ae44a2e8b9338ff52b185ba35635">更多...</a><br /></td></tr>
<tr class="separator:a1565ae44a2e8b9338ff52b185ba35635"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a> 第 <a class="el" href="_k_k_l_audio_player_8h_source.html#l00020">20</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="a4dea314664dc938e07ad3e087b638e30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4dea314664dc938e07ad3e087b638e30">&#9670;&nbsp;</a></span>audioArtist</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString *) audioArtist </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>音频来源 </p>

</div>
</div>
<a id="a1565ae44a2e8b9338ff52b185ba35635"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1565ae44a2e8b9338ff52b185ba35635">&#9670;&nbsp;</a></span>audioTitle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString *) audioTitle </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>音频标题 </p>

</div>
</div>
<a id="ac18e42d0433d4257ab5c9b27db715853"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac18e42d0433d4257ab5c9b27db715853">&#9670;&nbsp;</a></span>audioTotalTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CMTime) audioTotalTime </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>总时长 </p>

</div>
</div>
<a id="af4e71203b9e3b0ac1a2332d4b2e6f0cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4e71203b9e3b0ac1a2332d4b2e6f0cc">&#9670;&nbsp;</a></span>audioURL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSURL *) audioURL </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>音频地址 </p>

</div>
</div>
<hr/>该协议的文档由以下文件生成:<ul>
<li>XHXKit/Classes/General/AudioPlayer/<a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="protocol_k_k_l_audio_model-p.html">KKLAudioModel</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
